---
title: PushManager.supportedContentEncodings
slug: Web/API/PushManager/supportedContentEncodings
tags:
  - API
  - Experimental
  - Property
  - PushManager
  - Reference
  - Service Workers
  - supportedContentEncodings
---
<p>{{SeeCompatTable}}{{APIRef("Push API")}}</p>

<p>The <strong><code>supportedContentEncodings</code></strong> read-only property of the {{domxref("PushManager")}} interface returns an array of supported content codings that can be used to encrypt the payload of a push message.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>encodings</em>[] = PushManager.<em>supportedContentEncodings</em></pre>

<h3 id="Value">Value</h3>

<p>An array of strings.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API','#dom-pushmanager-supportedcontentencodings','supportedContentEncodings')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>
<div>

<p>{{Compat("api.PushManager.supportedContentEncodings")}}</p>
</div>
</div>
